Filer XBRL facts
curl --request GET \
--url https://gdeltcloud.com/api/v2/filings/{cik}/facts \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/filings/{cik}/facts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/filings/{cik}/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"cik": 65270,
"data": [
{
"concept": "Revenues",
"taxonomy": "us-gaap",
"unit": "USD",
"period_end": "2026-05-02",
"fp": "FY",
"fy": 2026,
"value": 1049800000,
"form_type": "10-K",
"filed_date": "2026-06-12",
"accession_no": "0000065270-26-000041"
},
{
"concept": "Revenues",
"taxonomy": "us-gaap",
"unit": "USD",
"period_end": "2025-04-26",
"fp": "FY",
"fy": 2025,
"value": 1114700000,
"form_type": "10-K",
"filed_date": "2025-06-25",
"accession_no": "0000065270-25-000039"
}
],
"pagination": {
"limit": 100,
"cursor": null,
"next_cursor": null
},
"applied_filters": {
"cik": 65270,
"concept": "Revenues",
"ignored": {}
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}Filings
Filer XBRL facts
XBRL structured financial facts for a filer — a concept time series for exposure sizing. Requires a plan with SEC filings access (can_use_filings) — see Pricing for the plans that include it.
GET
/
api
/
v2
/
filings
/
{cik}
/
facts
Filer XBRL facts
curl --request GET \
--url https://gdeltcloud.com/api/v2/filings/{cik}/facts \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/filings/{cik}/facts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/filings/{cik}/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"cik": 65270,
"data": [
{
"concept": "Revenues",
"taxonomy": "us-gaap",
"unit": "USD",
"period_end": "2026-05-02",
"fp": "FY",
"fy": 2026,
"value": 1049800000,
"form_type": "10-K",
"filed_date": "2026-06-12",
"accession_no": "0000065270-26-000041"
},
{
"concept": "Revenues",
"taxonomy": "us-gaap",
"unit": "USD",
"period_end": "2025-04-26",
"fp": "FY",
"fy": 2025,
"value": 1114700000,
"form_type": "10-K",
"filed_date": "2025-06-25",
"accession_no": "0000065270-25-000039"
}
],
"pagination": {
"limit": 100,
"cursor": null,
"next_cursor": null
},
"applied_filters": {
"cik": 65270,
"concept": "Revenues",
"ignored": {}
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
GDELT Cloud API key. Send as Authorization: Bearer gdelt_sk_....
Path Parameters
SEC CIK number.
Query Parameters
XBRL concept (e.g. Revenues, NetIncomeLoss).
Taxonomy (us-gaap | dei).
Rows per page (1–500).
Required range:
x <= 500Pagination cursor (opaque offset).
Response
A page of XBRL facts, by concept then period_end. Each row: concept, taxonomy, unit, period_end, fp (fiscal period, or null), fy (fiscal year, or null), value, form_type (or null), filed_date, accession_no. Envelope: { success, cik, data, pagination, applied_filters }.
⌘I

